X
Tap here to go to the mobile version of the site.

Support Forum

Mozilla says "Your system doesn't meet the requirements to run Firefox" but when I check the requirements, my system meets all.

Posted

I'm using windows 7 on my hp laptop. When I try updating i get a message saying I need to have at least windows XP. Is there something else blocking my update? I've tried both updating an downloading the latest version. My current firefox is 13.0.1

I'm using windows 7 on my hp laptop. When I try updating i get a message saying I need to have at least windows XP. Is there something else blocking my update? I've tried both updating an downloading the latest version. My current firefox is 13.0.1

Chosen solution

hi, please right-click the firefox icon on the desktop, go to properties > compatibility and make sure that firefox isn't set to run in compatibility mode (atm your useragent reports that you are running windows 2000). afterwards it should be possible to update.

since your profile also show signs of unwanted software on your system, please run a full scan of your system with different security tools like the free version of malwarebytes & adwcleaner, which are specialised in adware and browser hijackers. Troubleshoot Firefox issues caused by malware

Read this answer in context 2

Additional System Details

Installed Plug-ins

  • Shockwave Flash 16.0 r0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Next Generation Java Plug-in 11.25.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 5.1.30514.0
  • Adobe PDF Plug-In For Firefox and Netscape "9.5.5"
  • iTunes Detector Plug-in
  • NPWLPG

Application

  • Firefox 13.0.1
  • User Agent: Mozilla/5.0 (Windows NT 5.0; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0.1
  • Support URL: http://support.mozilla.org/1/firefox/13.0.1/WINNT/sv-SE/

Extensions

  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Browsing Protection 2.115.2794 ({4458d127-923e-43ee-bbbc-a0c3fa877fa0}) (Inactive)
  • Vuze Remote Toolbar 10.8 (vuze@mybrowserbar.com) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: ATI Mobility Radeon HD 5650
  • adapterDescription2: AMD M880G with ATI Mobility Radeon HD 4250
  • adapterDeviceID: 0x68c1
  • adapterDeviceID2: 0x9712
  • adapterDrivers: atiu9p64 atiuxp64 atiuxp64 atiu9pag atiuxpag atiuxpag atiumdva atiumd6a atitmm64
  • adapterDrivers2: atiu9p64 atiuxp64 atiuxp64 atiu9pag atiuxpag atiuxpag atiumdva atiumd6a atitmm64
  • adapterRAM: 1024
  • adapterRAM2: 336
  • adapterVendorID: 0x1002
  • adapterVendorID2: 0x1002
  • clearTypeParameters: Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 200
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'tryNewerDriver', u'10.6']
  • directWriteEnabled: False
  • directWriteVersion: 6.2.9200.16571
  • driverDate: 4-15-2010
  • driverDate2: 4-15-2010
  • driverVersion: 8.712.1.2000
  • driverVersion2: 8.712.1.2000
  • info: {}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'tryNewerDriver', u'10.6']
  • numTotalWindows: 5
  • webglRendererMessage: [u'tryNewerDriver', u'10.6']
  • windowLayerManagerType: Basic

Modified Preferences

  • accessibility.typeaheadfind.flashBar: 0
  • browser.cache.disk.capacity: 1048576
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.disk.smart_size_cached_value: 1048576
  • browser.history_expire_days.mirror: 180
  • browser.history_expire_days_min: 5
  • browser.places.importBookmarksHTML: False
  • browser.places.smartBookmarksVersion: 3
  • browser.search.useDBForOrder: True
  • browser.startup.homepage: www.google.com
  • browser.startup.homepage_override.buildID: 20120614114901
  • browser.startup.homepage_override.mstone: 13.0.1
  • browser.tabs.warnOnClose: False
  • extensions.lastAppVersion: 13.0.1
  • gfx.blacklist.direct2d: 3
  • keyword.URL: https://fi.search.yahoo.com/search?fr=greentree_ff1&ei=utf-8&ilc=12&type=994519&p=
  • network.cookie.prefsMigrated: True
  • places.database.lastMaintenance: 1422735653
  • places.history.expiration.transient_current_max_pages: 100530
  • places.history.expiration.transient_optimal_database_size: 160847298
  • places.last_vacuum: 1302939594
  • plugin.state.np-mswmp: 2
  • privacy.cpd.offlineApps: True
  • privacy.cpd.siteSettings: True
  • privacy.sanitize.migrateFx3Prefs: True
  • privacy.sanitize.timeSpan: 0
  • security.warn_viewing_mixed: False

Misc

  • User JS: No
  • Accessibility: No
philipp
  • Top 25 Contributor
  • Moderator
5306 solutions 23423 answers

Chosen Solution

hi, please right-click the firefox icon on the desktop, go to properties > compatibility and make sure that firefox isn't set to run in compatibility mode (atm your useragent reports that you are running windows 2000). afterwards it should be possible to update.

since your profile also show signs of unwanted software on your system, please run a full scan of your system with different security tools like the free version of malwarebytes & adwcleaner, which are specialised in adware and browser hijackers. Troubleshoot Firefox issues caused by malware

hi, please right-click the firefox icon on the desktop, go to properties > compatibility and make sure that firefox isn't set to run in compatibility mode (atm your useragent reports that you are running windows 2000). afterwards it should be possible to update. since your profile also show signs of unwanted software on your system, please run a full scan of your system with different security tools like the [http://www.malwarebytes.org/products/malwarebytes_free free version of malwarebytes] & [http://www.bleepingcomputer.com/download/adwcleaner/ adwcleaner], which are specialised in adware and browser hijackers. [[Troubleshoot Firefox issues caused by malware]]